#!/bin/sh
#
# Corrections file for 5.0rc5
# Must be run as sudo
#
# Theoretically these should be solved in upstream tickets if building from scratch.
# cd ~/gisvm/
# svn up
# cd bin
# wget https://gist.github.com/gists/1176202/download -O gist.tar.gz
# tar xzf gist.tar.gz
# chmod a+x 5rc5to5rc6.sh
# sudo ./5rc5to5rc6.sh

#Atlastyler Ticket:#771
#/usr/bin/atlasstyler script [ 0 -ne 0 ] to [ $? -ne 0 ]
cp ../app-conf/atlasstyler/atlasstyler /usr/bin/atlasstyler

#Deegree tomcat permissions
#replace deegree start/stop scripts from svn app-conf/
cp ../app-conf/deegree/deegree_start.sh /usr/bin/deegree_start.sh
cp ../app-conf/deegree/deegree_stop.sh /usr/bin/deegree_stop.sh

#Pgadmin Ticket:
#edit ~/.pgadmin3 in master VM, Height=525 to avoid hardlinking

sed -i -e "s/Height=524/Height=525/g" /home/user/.pgadmin3

# -admin geoserver: dead link, shorten it to .../geoserver/
#   in ~/Desktop/Web\ Services/... admin-geoserver.desktop
#    and /usr/share/applications/osgeo-admin-geoserver.desktop

cp ../app-conf/geoserver/geoserver-admin.desktop /home/user/Desktop/Web\ Services/geoserver-admin.desktop
cp ../app-conf/geoserver/geoserver-admin.desktop /usr/share/applications/geoserver-admin.desktop 
cp ../app-conf/geoserver/geoserver-admin.desktop /usr/share/applications/osgeo-geoserver-admin.desktop 

# Update Docs Ticket#768 Ticket#755
# svn up, rerun ./install_docs.sh
# -hack in mention of ("<tt>apt-get install maven2</tt>") in geomajas_quickstart.html (#755)
# -bump min recommended ram to 768mb in download.html
#    osgeolive_quickstart.html, virtualbox_quickstart.html
#since svn up was done in order to load this script just run it
./install_main_docs.sh

